Bug 253342 - Dolphin crashes when moving file from dolphin to "bluetooth send" adressline
Summary: Dolphin crashes when moving file from dolphin to "bluetooth send" adressline
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-05 22:54 UTC by Mathias D
Modified: 2012-02-10 13:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias D 2010-10-05 22:54:32 UTC
Application: dolphin (1.5)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-22-generic x86_64
Distribution: Ubuntu maverick (development branch)

-- Information about the crash:
- What I was doing when the application crashed:

When I am trying to move a file from dolphin into the adressline of the bluetooth send menu there opens a context menu witch shows some kind of categories... I dont know what. Try to click it away - then dolphin crashes. 
I tryed to reproduce once more to take one other look on the menu, but cant reporduce anymore. maybe it was an error with bluetooth, because I reconnected my bluetooth device in meantime.

The crash can be reproduced every time.

-- Backtrace:
Application: Dolphin (dolphin), signal: Aborted
[Current thread is 1 (Thread 0x7f18cad04760 (LWP 8121))]

Thread 3 (Thread 0x7f18b6d4e710 (LWP 8127)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f18ca5871dc in _L_lock_12347 () from /lib/libc.so.6
#2  0x00007f18ca585c78 in __libc_free (mem=0x7f18ca886e40) at malloc.c:3736
#3  0x00007f18c6a1a601 in socketNotifierSourceCheck (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007f18c21d666a in g_main_context_check () from /lib/libglib-2.0.so.0
#5  0x00007f18c21d7023 in ?? () from /lib/libglib-2.0.so.0
#6  0x00007f18c21d745c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#7  0x00007f18c6a1a193 in QEventDispatcherGlib::processEvents (this=0x24f29e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#8  0x00007f18c69eca02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#9  0x00007f18c69ecdec in QEventLoop::exec (this=0x7f18b6d4ddb0, flags=) at kernel/qeventloop.cpp:201
#10 0x00007f18c68f72fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#11 0x00007f18c69cc5f8 in QInotifyFileSystemWatcherEngine::run (this=0x26a7720) at io/qfilesystemwatcher_inotify.cpp:248
#12 0x00007f18c68fa27e in QThreadPrivate::start (arg=0x26a7720) at thread/qthread_unix.cpp:266
#13 0x00007f18c475f971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#14 0x00007f18ca5ee92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f18affff710 (LWP 8132)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007f18af34b0d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f18c475f971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f18ca5ee92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f18cad04760 (LWP 8121)):
[KCrash Handler]
#6  0x00007f18ca53bba5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f18ca53f6b0 in abort () at abort.c:92
#8  0x00007f18ca57543b in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007f18ca57f4b6 in malloc_printerr (action=3, str=0x7f18ca652fe8 "free(): invalid next size (fast)", ptr=<value optimized out>) at malloc.c:6283
#10 0x00007f18ca585c83 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#11 0x00007f18c6953a56 in Lookup_ChainContextSubst2 (gsub=<value optimized out>, lookup_index=<value optimized out>, buffer=0x2146f40, context_length=<value optimized out>, nesting_level=<value optimized out>) at ../3rdparty/harfbuzz/src/harfbuzz-gsub.c:3312
#12 Lookup_ChainContextSubst (gsub=<value optimized out>, lookup_index=<value optimized out>, buffer=0x2146f40, context_length=<value optimized out>, nesting_level=<value optimized out>) at ../3rdparty/harfbuzz/src/harfbuzz-gsub.c:3443
#13 GSUB_Do_Glyph_Lookup (gsub=<value optimized out>, lookup_index=<value optimized out>, buffer=0x2146f40, context_length=<value optimized out>, nesting_level=<value optimized out>) at ../3rdparty/harfbuzz/src/harfbuzz-gsub.c:4059
#14 0x00007f18c6954106 in GSUB_Do_String_Lookup (gsub=<value optimized out>, buffer=0x2146f40) at ../3rdparty/harfbuzz/src/harfbuzz-gsub.c:4147
#15 HB_GSUB_Apply_String (gsub=<value optimized out>, buffer=0x2146f40) at ../3rdparty/harfbuzz/src/harfbuzz-gsub.c:4312
#16 0x00007f18c6965b23 in HB_OpenTypeShape (item=0x7fff63b75bc0, properties=0x0) at ../3rdparty/harfbuzz/src/harfbuzz-shaper.cpp:1173
#17 0x00007f18c6969b8a in HB_BasicShape (shaper_item=0x7fff63b75bc0) at ../3rdparty/harfbuzz/src/harfbuzz-shaper.cpp:574
#18 0x00007f18c6964f14 in HB_ShapeItem (shaper_item=0x1fb9) at ../3rdparty/harfbuzz/src/harfbuzz-shaper.cpp:1334
#19 0x00007f18c7891f3f in QTextEngine::shapeTextWithHarfbuzz (this=<value optimized out>, item=<value optimized out>) at text/qtextengine.cpp:1252
#20 0x00007f18c789294f in QTextEngine::shapeText (this=0x289d7a0, item=0) at text/qtextengine.cpp:874
#21 0x00007f18c7892cf7 in QTextEngine::shape (this=0x289d7a0, item=0) at text/qtextengine.cpp:1381
#22 0x00007f18c7899fdd in QTextLine::layout_helper (this=<value optimized out>, maxGlyphs=<value optimized out>) at text/qtextlayout.cpp:1826
#23 0x00007f18c88c4a4d in KFileItemDelegate::Private::layoutText (this=<value optimized out>, layout=..., text=<value optimized out>, maxWidth=97) at ../../kio/kio/kfileitemdelegate.cpp:371
#24 0x00007f18c88c6304 in KFileItemDelegate::Private::layoutText (this=0x1fb9, layout=..., option=..., text=..., constraints=...) at ../../kio/kio/kfileitemdelegate.cpp:345
#25 0x00007f18c88c8963 in KFileItemDelegate::Private::layoutTextItems (this=0x2555920, option=..., index=<value optimized out>, labelLayout=0x7fff63b76f30, infoLayout=<value optimized out>, textBoundingRect=0x7fff63b76ed0) at ../../kio/kio/kfileitemdelegate.cpp:725
#26 0x00007f18c88c9b34 in KFileItemDelegate::paint (this=0x25566d0, painter=<value optimized out>, option=..., index=...) at ../../kio/kio/kfileitemdelegate.cpp:1318
#27 0x00007f18c9b9f468 in ?? () from /usr/lib/libdolphinprivate.so.4
#28 0x00007f18c7bbb889 in QTreeView::drawRow (this=<value optimized out>, painter=<value optimized out>, option=<value optimized out>, index=<value optimized out>) at itemviews/qtreeview.cpp:1678
#29 0x00007f18c7bb641a in QTreeView::drawTree (this=0x2548fb0, painter=<value optimized out>, region=<value optimized out>) at itemviews/qtreeview.cpp:1441
#30 0x00007f18c7bb6f43 in QTreeView::paintEvent (this=0x2548fb0, event=0x7fff63b78580) at itemviews/qtreeview.cpp:1274
#31 0x00007f18c9b944eb in DolphinDetailsView::paintEvent(QPaintEvent*) () from /usr/lib/libdolphinprivate.so.4
#32 0x00007f18c7674c2e in QWidget::event (this=0x2548fb0, event=0x7fff63b78580) at kernel/qwidget.cpp:8333
#33 0x00007f18c7a405e6 in QFrame::event (this=0x2548fb0, e=0x7fff63b78580) at widgets/qframe.cpp:557
#34 0x00007f18c7b79a8b in QAbstractItemView::viewportEvent (this=0x2548fb0, event=0x7fff63b78580) at itemviews/qabstractitemview.cpp:1619
#35 0x00007f18c7bb7d65 in QTreeView::viewportEvent (this=0x2548fb0, event=0x7fff63b78580) at itemviews/qtreeview.cpp:1256
#36 0x00007f18c69ed507 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x2544010, event=0x7fff63b78580) at kernel/qcoreapplication.cpp:847
#37 0x00007f18c761efac in QApplicationPrivate::notify_helper (this=0x20789d0, receiver=0x2544010, e=0x7fff63b78580) at kernel/qapplication.cpp:4392
#38 0x00007f18c7624aed in QApplication::notify (this=0x7fff63b7b9d0, receiver=0x2544010, e=0x7fff63b78580) at kernel/qapplication.cpp:4277
#39 0x00007f18c8371156 in KApplication::notify (this=0x7fff63b7b9d0, receiver=0x2544010, event=0x7fff63b78580) at ../../kdeui/kernel/kapplication.cpp:310
#40 0x00007f18c69edcdc in QCoreApplication::notifyInternal (this=0x7fff63b7b9d0, receiver=0x2544010, event=0x7fff63b78580) at kernel/qcoreapplication.cpp:732
#41 0x00007f18c767b67d in sendSpontaneousEvent (this=0x2547790, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#42 QWidgetPrivate::drawWidget (this=0x2547790, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5420
#43 0x00007f18c767c328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=0, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5627
#44 0x00007f18c767c159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=3, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5614
#45 0x00007f18c767c159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=13, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5614
#46 0x00007f18c767c159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=14, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5614
#47 0x00007f18c767c159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=15, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5614
#48 0x00007f18c767c159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=16, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5614
#49 0x00007f18c767b3da in QWidgetPrivate::drawWidget (this=0x2547b40, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5473
#50 0x00007f18c767c328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=4, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5627
#51 0x00007f18c767b3da in QWidgetPrivate::drawWidget (this=0x25425d0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5473
#52 0x00007f18c767c328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=4, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5627
#53 0x00007f18c767b3da in QWidgetPrivate::drawWidget (this=0x2526560, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5473
#54 0x00007f18c767c328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=0, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5627
#55 0x00007f18c767b3da in QWidgetPrivate::drawWidget (this=0x25261f0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5473
#56 0x00007f18c767c328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=3, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5627
#57 0x00007f18c767b3da in QWidgetPrivate::drawWidget (this=0x2359530, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5473
#58 0x00007f18c767c328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=11, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5627
#59 0x00007f18c767b3da in QWidgetPrivate::drawWidget (this=0x21125a0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x230fbe0) at kernel/qwidget.cpp:5473
#60 0x00007f18c784f408 in QWidgetBackingStore::sync (this=0x230fbe0) at painting/qbackingstore.cpp:1328
#61 0x00007f18c766e730 in QWidgetPrivate::syncBackingStore (this=0x21125a0) at kernel/qwidget.cpp:1805
#62 0x00007f18c76752f5 in QWidget::event (this=0x213d130, event=0x22490f0) at kernel/qwidget.cpp:8480
#63 0x00007f18c7a5c41b in QMainWindow::event (this=0x213d130, event=0x22490f0) at widgets/qmainwindow.cpp:1417
#64 0x00007f18c848d683 in KXmlGuiWindow::event (this=0x1fb9, ev=0x1fb9) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:130
#65 0x00007f18c761efdc in QApplicationPrivate::notify_helper (this=0x20789d0, receiver=0x213d130, e=0x22490f0) at kernel/qapplication.cpp:4396
#66 0x00007f18c7624aed in QApplication::notify (this=0x7fff63b7b9d0, receiver=0x213d130, e=0x22490f0) at kernel/qapplication.cpp:4277
#67 0x00007f18c8371156 in KApplication::notify (this=0x7fff63b7b9d0, receiver=0x213d130, event=0x22490f0) at ../../kdeui/kernel/kapplication.cpp:310
#68 0x00007f18c69edcdc in QCoreApplication::notifyInternal (this=0x7fff63b7b9d0, receiver=0x213d130, event=0x22490f0) at kernel/qcoreapplication.cpp:732
#69 0x00007f18c69f0c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x204b350) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#70 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x204b350) at kernel/qcoreapplication.cpp:1373
#71 0x00007f18c6a1a653 in sendPostedEvents (s=0x20759c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#72 postEventSourceDispatch (s=0x20759c0) at kernel/qeventdispatcher_glib.cpp:277
#73 0x00007f18c21d3342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#74 0x00007f18c21d72a8 in ?? () from /lib/libglib-2.0.so.0
#75 0x00007f18c21d745c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#76 0x00007f18c6a1a193 in QEventDispatcherGlib::processEvents (this=0x204ae60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#77 0x00007f18c76d1a4e in QGuiEventDispatcherGlib::processEvents (this=0x1fb9, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#78 0x00007f18c69eca02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#79 0x00007f18c69ecdec in QEventLoop::exec (this=0x7fff63b7b910, flags=) at kernel/qeventloop.cpp:201
#80 0x00007f18c69f0ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#81 0x00007f18ca8d490f in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_dolphin.so
#82 0x00007f18ca526d8e in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff63b7bee8) at libc-start.c:226
#83 0x0000000000400659 in _start ()

This bug may be a duplicate of or related to bug 233184.

Possible duplicates by query: bug 251386, bug 250441, bug 249953, bug 248108, bug 248004.

Reported using DrKonqi
Comment 1 Dario Andres 2010-12-14 17:24:29 UTC
[Comment from a bug triager]
The backtrace indicates that the crash could be related to the Qt library or to some memory corruption.
- Can you still reproduce the crash with an updated Qt and KDE SC releases ?
Thanks